import { clsx } from 'clsx';
import { jsx } from 'react/jsx-runtime';

var a=`:root {
  /* accent */
  --color-accent-50: #fee8ee;
  --color-accent-100: #fdd1dc;
  --color-accent-200: #fba3b9;
  --color-accent-300: #f97697;
  --color-accent-400: #f74874;
  --color-accent-500: #f51a51;
  --color-accent-600: #c41541;
  --color-accent-700: #931031;
  --color-accent-800: #620a20;
  --color-accent-900: #310510;
  /* success */
  --color-success-50: #e8fcf4;
  --color-success-100: #d1f9e8;
  --color-success-200: #a3f3d1;
  --color-success-300: #75ecbb;
  --color-success-400: #47e6a4;
  --color-success-500: #19e08d;
  --color-success-600: #14b371;
  --color-success-700: #0f8655;
  --color-success-800: #0a5a38;
  --color-success-900: #052d1c;
  /* danger */
  --color-danger-50: #fef1e8;
  --color-danger-100: #fde3d1;
  --color-danger-200: #fbc8a3;
  --color-danger-300: #f9ac76;
  --color-danger-400: #f79148;
  --color-danger-500: #f5751a;
  --color-danger-600: #c45e15;
  --color-danger-700: #934610;
  --color-danger-800: #622f0a;
  --color-danger-900: #311705;
  /* info */
  --color-info-50: #e8f1fe;
  --color-info-100: #d1e3fd;
  --color-info-200: #a3c8fb;
  --color-info-300: #76acf9;
  --color-info-400: #4891f7;
  --color-info-500: #1a75f5;
  --color-info-600: #155ec4;
  --color-info-700: #104693;
  --color-info-800: #0a2f62;
  --color-info-900: #051731;
  /* pop */
  --color-pop-50: #fce8fe;
  --color-pop-100: #f9d1fd;
  --color-pop-200: #f4a3fb;
  --color-pop-300: #ee76f9;
  --color-pop-400: #e948f7;
  --color-pop-500: #e31af5;
  --color-pop-600: #b615c4;
  --color-pop-700: #881093;
  --color-pop-800: #5b0a62;
  --color-pop-900: #2d0531;
  /* dark mode */
  --color-dark-mode-50: #e7e8ea;
  --color-dark-mode-100: #d1d4d7;
  --color-dark-mode-200: #a3a8af;
  --color-dark-mode-300: #747d86;
  --color-dark-mode-400: #46515e;
  --color-dark-mode-500: #182636;
  --color-dark-mode-600: #131e2b;
  --color-dark-mode-700: #0e1720;
  --color-dark-mode-800: #0a0f16;
  --color-dark-mode-900: #05080b;
  /* light mode */
  --color-light-mode-50: #fefeff;
  --color-light-mode-100: #fefefe;
  --color-light-mode-200: #fdfdfd;
  --color-light-mode-300: #fbfbfc;
  --color-light-mode-400: #fafafb;
  --color-light-mode-500: #f9f9fa;
  --color-light-mode-600: #c7c7c8;
  --color-light-mode-700: #959596;
  --color-light-mode-800: #646464;
  --color-light-mode-900: #323232;
  /* neutral light */
  --color-neutral-light-50: #fffefe;
  --color-neutral-light-100: #fffdfe;
  --color-neutral-light-200: #fffbfc;
  --color-neutral-light-300: #fefafb;
  --color-neutral-light-400: #fef8f9;
  --color-neutral-light-500: #fef6f8;
  --color-neutral-light-600: #cbc5c6;
  --color-neutral-light-700: #989495;
  --color-neutral-light-800: #666263;
  --color-neutral-light-900: #333132;
  /* neutral dark */
  --color-neutral-dark-50: #ecebeb;
  --color-neutral-dark-100: #d9d7d8;
  --color-neutral-dark-200: #b3b0b1;
  --color-neutral-dark-300: #8c8889;
  --color-neutral-dark-400: #666162;
  --color-neutral-dark-500: #40393b;
  --color-neutral-dark-600: #332e2f;
  --color-neutral-dark-700: #262223;
  --color-neutral-dark-800: #1a1718;
  --color-neutral-dark-900: #0d0b0c;
}

:root {
  --font-family: "Roboto", sans-serif;
}

html {
  box-sizing: border-box;
  font-size: 100%;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  margin: 0;
  padding: 0;
  font-family: var(--font-family);
  color: var(--color-neutral-dark-900);
  background-color: var(--color-neutral-light-100);
}`;document.head.appendChild(document.createElement("style")).appendChild(document.createTextNode(a));var l=`._primary_1o92q_1 {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 0.5rem 1.75rem;
  font-family: var(--font-family);
  font-size: 1rem;
  font-weight: 600;
  line-height: 1.25rem;
  text-align: center;
  text-decoration: none;
  border: none;
  border-radius: 2rem;
  color: var(--color-neutral-light-50);
  background-color: var(--color-accent-500);
  box-shadow: 0 4px 18px rgba(245, 26, 81, 0.35), inset 0 1px 0 rgba(255, 255, 255, 0.3);
}
._primary_1o92q_1:hover, ._primary_1o92q_1:focus {
  background-color: var(--color-accent-400);
}
._primary_1o92q_1:active {
  background-color: var(--color-accent-600);
}
.dark ._primary_1o92q_1 {
  color: var(--color-neutral-dark-900);
  background-color: var(--color-accent-500);
  box-shadow: 0 4px 18px rgba(227, 26, 101, 0.35), inset 0 1px 0 rgba(0, 0, 0, 0.3);
}

._secondary_1o92q_30 {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 0.5rem 1.75rem;
  font-family: var(--font-family);
  font-size: 1rem;
  font-weight: 600;
  line-height: 1.25rem;
  text-align: center;
  text-decoration: none;
  border: none;
  border-radius: 2rem;
  color: var(--button-secondary-color);
  background-color: var(--button-secondary-bg);
  box-shadow: var(--button-secondary-shadow);
}
._secondary_1o92q_30:hover, ._secondary_1o92q_30:focus {
  background-color: var(--button-secondary-bg-hover);
}
._secondary_1o92q_30:active {
  background-color: var(--button-secondary-bg-active);
}

._outlined_1o92q_54 {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 0.5rem 1.75rem;
  font-family: var(--font-family);
  font-size: 1rem;
  font-weight: 600;
  line-height: 1.25rem;
  text-align: center;
  text-decoration: none;
  border: none;
  border-radius: 2rem;
  color: var(--button-outlined-color);
  background-color: var(--button-outlined-bg);
  box-shadow: var(--button-outlined-shadow);
}
._outlined_1o92q_54:hover, ._outlined_1o92q_54:focus {
  background-color: var(--button-outlined-bg-hover);
}
._outlined_1o92q_54:active {
  background-color: var(--button-outlined-bg-active);
}`;document.head.appendChild(document.createElement("style")).appendChild(document.createTextNode(l));var o={primary:"_primary_1o92q_1",secondary:"_secondary_1o92q_30",outlined:"_outlined_1o92q_54"};var d=({variant:r="primary",className:e,...c})=>{let t=clsx(r==="primary"&&o.primary,r==="secondary"&&o.secondary,r==="outlined"&&o.outlined,e);return jsx("button",{className:t,...c})};

export { d as Button };
